@import "../../../../assets/styles/variables";
@import "../../../../assets/styles/mixins";
@import "../section-styles";

@include section-body() {
	height        : 504px;
	overflow      : hidden;
	padding-right : 9px;
	
	& > div:first-child {
		padding : 10px 6px 4px 6px;
		
		& .episode-promotion-box {
			border        : 1px solid $tw-dark4;
			border-radius : 8px;
			@include transition-hover();
			
			& .image-frame {
				position : relative;
				height   : 397px;
				
				& img {
					@include transition-hover();
					@include border-top-radius(8px);
				}
				
				& .play-icon {
					position : absolute;
					top      : 171px;
					opacity  : 0;
					@include transition-hover();
					
					& .badge {
						width         : 48px;
						height        : 48px;
						border-radius : 100%;
					}
				}
				
				& .other-info {
					position         : absolute;
					bottom           : 0;
					height           : 36px;
					background-color : rgba(0, 0, 0, 0.5);
					
					& span {
						font-size : 12px;
					}
					
					& i.fa-eye {
						font-size : 22px;
					}
				}
			}
			
			& .info-frame {
				height : 79px;
				
				& .episode-title {
					font-size : 14px;
				}
				
				& .episode-program-title {
					font-size : 12px;
				}
			}
			
			@include hover-for-section-item();
		}
	}
	
	& > div:last-child {
		
		& .small-episodes {
			padding : 0 5px;
			
			& .main-frame {
				padding : 10px;
				
				& .episode-box {
					height        : 227px;
					border        : 1px solid $tw-dark4;
					border-radius : 8px;
					@include transition-hover();
					
					& .image-frame {
						height   : 164px;
						position : relative;
						
						& img {
							@include transition-hover();
							@include border-top-radius(8px);
						}
						
						& .play-icon {
							position : absolute;
							top      : 48px;
							opacity  : 0;
							@include transition-hover();
							
							& .badge {
								width         : 48px;
								height        : 48px;
								border-radius : 100%;
							}
						}
						
						& .other-info {
							position         : absolute;
							bottom           : 0;
							height           : 36px;
							background-color : rgba(0, 0, 0, 0.5);
							
							& span {
								font-size : 12px;
							}
							
							& i.fa-eye {
								font-size : 22px;
							}
						}
					}
					
					& .info-frame {
						height : 61px;
						
						& .episode-title {
							font-size : 13px;
						}
						
						& .episode-program-title {
							font-size : 10px;
						}
					}
					
					@include hover-for-section-item();
				}
			}
		}
	}
}
